<?php
class Curso extends Controllers
{
    public function __construct()
    {
        session_start();
        if (empty($_SESSION['activo']) or ($_SESSION['id_rol'] > 2)) {
            header("location: " . base_url());
        }
        parent::__construct();
    }
    public function Listar()
    {
        $data = $this->model->selectCurso();
        $this->views->getView($this, "Listar", $data, "");
    }
    
    public function eliminados()
    {
        $data = $this->model->selectCursoInactivos();
        $this->views->getView($this, "Eliminados", $data, "");
    }
    public function insertar()
    {
        $curso = $_POST['curso'];        
        $curso_abr = $_POST['curso_abr'];        
        $insert = $this->model->insertarCurso($curso, $curso_abr);
        if ($insert > 0) {
            $alert = 'registrado';
        } else if ($insert == 'existe') {
            $alert = 'existe';
        } else {
            $alert = 'error';
        }
        $this->model->selectCurso();
        header("location: " . base_url() . "Curso/Listar?msg=$alert");
        die();
    }

    public function actualizar()
    {
        $id = $_POST['id'];        
        $curso = $_POST['curso'];    
        $curso_abr = $_POST['curso_abr'];                                            
        $actualizar = $this->model->actualizarCurso($curso, $curso_abr, $id);
        if ($actualizar == 1) {
            $alert =  'modificado';
        } else {
            $alert = 'error';
        }
        header("location: " . base_url() . "Curso/Listar?msg=$alert");
        die();
    }

    public function eliminar()
    {
        $id = $_GET['id'];
        $eliminar = $this->model->eliminarCurso($id);
        header('location: ' . base_url() . 'Curso/Listar');
        //$this->views->getView($this, "Listar", $data, $eliminar);
        die();
    }
    public function reingresar()
    {
        $id = $_GET['id'];
        $this->model->reingresarCurso($id);
        //$data = $this->model->selectProducto();
        header('location: ' . base_url() . 'Curso/Listar');
        //$this->views->getView($this, "Listar", $data);
        die();
    }
}
?>