<?php
class Reporte extends Controllers
{
    public function __construct()
    {
        session_start();
        if (empty($_SESSION['activo'])) {
            header("location: " . base_url());
    }
        parent::__construct();
    }

    public function matricula()
    {
        $id_modulo=$_GET['id_modulo'];   
        $alert=$_GET['id_modulo'];   
        $matricula= $this->model->selectMatricula($id_modulo);
        $modulo = $this->model->selectModulo();                
        $data = ['matricula' => $matricula, 'modulo' => $modulo];        
        $this->views->getView($this, "Matricula", $data, $alert);        
    }  

    public function imprimeMatricula()
    {
        $id_modulo=$_GET['id_modulo'];   
        $alert=$_GET['id_modulo'];   
        $matricula= $this->model->selectMatricula($id_modulo);
        $modulo = $this->model->selectCabecera($id_modulo);                
        $data = ['matricula' => $matricula, 'modulo' => $modulo];        
        $this->views->getView($this, "ImprimeMatricula", $data, $alert);           
    }         

    public function nota()
    {
        $id_modulo=$_GET['id_modulo'];   
        $alert=$_GET['id_modulo'];   
        $matricula= $this->model->selectMatricula($id_modulo);
        $modulo = $this->model->selectModulo();                
        $data = ['matricula' => $matricula, 'modulo' => $modulo];        
        $this->views->getView($this, "Nota", $data, $alert);          
    }  

    public function imprimeNota()
    {
        $id_modulo=$_GET['id_modulo'];   
        $alert=$_GET['id_modulo'];   
        $matricula= $this->model->selectMatricula($id_modulo);
        $modulo = $this->model->selectCabecera($id_modulo);                
        $data = ['matricula' => $matricula, 'modulo' => $modulo];        
        $this->views->getView($this, "ImprimeNota", $data, $alert);           
    }
    public function certificado()
    {
        $data = $this->model->selectCertificado();
        $this->views->getView($this, "Certificado", $data, "");
    }
    public function imprimeCertificado()
    {
        $id_matricula = $_GET['id_matricula'];
        $alumno = $this->model->imprimeCabecera($id_matricula);                
        $certificado = $this->model->imprimeDetalle($id_matricula);
        $data = ['certificado' => $certificado, 'alumno' => $alumno];   
        $this->views->getView($this, "ImprimeCertificado", $data, "");  
    }
} 
?>