<?php
class Tema extends Controllers
{
    public function __construct()
    {
        session_start();
        if (empty($_SESSION['activo']) or ($_SESSION['id_rol'] > 2)) {
            header("location: " . base_url());
        }
        parent::__construct();
    }
    public function listar()
    {
        $data = $this->model->selectTema();
        $this->views->getView($this, "Listar", $data, "");
    }
    
    public function eliminados()
    {
        $data = $this->model->selectAlumnoInactivos();
        $this->views->getView($this, "Eliminados", $data, "");
    }
    public function insertar()
    {
        $cip = $_POST['cip'];        
        $dni = $_POST['dni'];        
        $apaterno = $_POST['apaterno'];                
        $amaterno = $_POST['amaterno'];
        $nombre = $_POST['nombre'];
        $telefono = $_POST['telefono'];        
        $observacion = $_POST['observacion'];
        $insert = $this->model->insertarAlumno($cip, $dni, $apaterno, $amaterno, $nombre, $telefono, $observacion);
        if ($insert > 0) {
            $alert = 'registrado';
        } else if ($insert == 'existe') {
            $alert = 'existe';
        } else {
            $alert = 'error';
        }
        $this->model->selectAlumno();
        header("location: " . base_url() . "Alumno/Listar?msg=$alert");
        die();
    }

    public function actualizar()
    {
        $id = $_POST['id'];               
        $tema = $_POST['tema'];                
        $capitulo = $_POST['capitulo'];
        $actualizar = $this->model->actualizarTema($tema, $capitulo, $id);
        if ($actualizar == 1) {
            $alert =  'modificado';
        } else {
            $alert = 'error';
        }
        header("location: " . base_url() . "Tema/Listar?msg=$alert");
        die();
    }

    public function eliminar()
    {
        $id = $_GET['id'];
        $eliminar = $this->model->eliminarAlumno($id);        
        $data = $this->model->selectAlumno();        
        header('location: ' . base_url() . 'Alumno/Listar');
        //$this->views->getView($this, "Listar", $data, $eliminar);
        die();
    }
    public function reingresar()
    {
        $id = $_GET['id'];
        $this->model->reingresarAlumno($id);
        //$data = $this->model->selectProducto();
        header('location: ' . base_url() . 'Alumno/Listar');
        //$this->views->getView($this, "Listar", $data);
        die();
    }
}
?>