<?php
class AlumnoModel extends Mysql{
    public $id, $cip, $dni, $apaterno, $amaterno, $nombre, $telefono, $observacion;
    public function __construct()
    {
        parent::__construct();
    }
    public function selectAlumno()
    {
        $sql = "SELECT @rownum:=@rownum+1 AS numord, alumno.* FROM (SELECT @rownum:=0) r, alumno where estado=1 order by id desc";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectAlumnoInactivos()
    {
        $sql = "SELECT @rownum:=@rownum+1 AS numord, alumno.* FROM (SELECT @rownum:=0) r, alumno where estado=0 order by id desc";
        $res = $this->select_all($sql);
        return $res;
    }
    public function insertarAlumno(string $cip, string $dni, string $apaterno, string $amaterno, string $nombre, string $telefono, string $observacion)
    {
        $return = "";
        $this->cip = $cip;                
        $this->dni = $dni;
        $this->apaterno = strtoupper($apaterno);
        $this->amaterno = strtoupper($amaterno);
        $this->nombre = strtoupper($nombre);
        $this->telefono = $telefono;        
        $this->observacion = strtoupper($observacion);
        $sql = "SELECT * FROM alumno WHERE dni = '{$this->dni}'";
        $result = $this->select_all($sql);
        if (empty($result)) {
            $query = "INSERT INTO alumno(cip, dni, apaterno, amaterno, nombre, telefono, observacion) VALUES (?,?,?,?,?,?,?)";
            $data = array($this->cip, $this->dni, $this->apaterno, $this->amaterno, $this->nombre, $this->telefono, $this->observacion);
            $resul = $this->insert($query, $data);
            $return = $resul;
        }else {
            $return = "existe";
        }
        return $return;
    }

    public function actualizarAlumno(string $cip, string $dni, string $apaterno, string $amaterno, string $nombre, string $telefono, string $observacion, int $id)
    {
        $return = "";
        $this->cip = $cip;                
        $this->dni = $dni;
        $this->apaterno = strtoupper($apaterno);
        $this->amaterno = strtoupper($amaterno);
        $this->nombre = strtoupper($nombre);
        $this->telefono = $telefono;                
        $this->observacion = strtoupper($observacion);
        $this->id = $id;

        $query = "UPDATE alumno SET cip=?, dni=?, apaterno=?, amaterno=?, nombre=?, telefono=?, observacion=?  WHERE id=?";
        $data = array($this->cip, $this->dni, $this->apaterno, $this->amaterno, $this->nombre, $this->telefono, $this->observacion, $this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function eliminarAlumno(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE alumno SET estado = 0 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function reingresarAlumno(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE alumno SET estado = 1 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
}
?>
