<?php
class MatriculaModel extends Mysql{
    public $id, $id_alumno, $id_modulo, $nota1, $nota2, $nota3, $nota4, $nota5, $nota6, $nota7, $seminario;
    public function __construct()
    {
        parent::__construct();
    }
    public function selectMatricula()
    {
        $sql = "SELECT * from v_matricula where estado='1' AND apertura=1 order by id desc";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectMatriculaInactivos()
    {
        $sql = "SELECT * from v_matricula where estado='0' AND apertura=1  order by id desc";
        $res = $this->select_all($sql);
        return $res;
    }
    public function selectAlumno()
    {
        $sql = "SELECT * FROM v_alumno where estado='1' order by alumno";
        $res = $this->select_all($sql);
        return $res;
    }    

    public function selectModulo()
    {
        $sql = "SELECT * FROM v_modulo where estado='1' and apertura='1' order by modulo";
        $res = $this->select_all($sql);
        return $res;
    }

    public function insertarMatricula(int $id_alumno, int $id_modulo)
    {
        $return = "";
        $this->id_alumno = $id_alumno;        
        $this->id_modulo = $id_modulo;
        $sql = "SELECT * FROM matricula WHERE id_alumno = '{$this->id_alumno}' and id_modulo = '{$this->id_modulo}'";
        $result = $this->select_all($sql);
        if (empty($result)) {
            $query = "INSERT INTO matricula(id_alumno, id_modulo) VALUES (?,?)";
            $data = array($this->id_alumno, $this->id_modulo);
            $resul = $this->insert($query, $data);
            $return = $resul;
        }else {
            $return = "existe";
        }
        return $return;
    }

    public function actualizarNota(int $id, int $nota1, int $nota2, int $nota3, int $nota4, int $nota5, int $nota6, int $nota7, int $seminario)
    {
        $return = "";
        $this->id = $id;        
        $this->nota1 = $nota1;
        $this->nota2 = $nota2;
        $this->nota3 = $nota3;
        $this->nota4 = $nota4;
        $this->nota5 = $nota5;
        $this->nota6 = $nota6;
        $this->nota7 = $nota7;
        $this->seminario = $seminario;        
        $query = "UPDATE matricula SET nota1=?, nota2=?, nota3=?, nota4=?, nota5=?, nota6=?, nota7=?, seminario=?  WHERE id=?";
        $data = array($this->nota1,  $this->nota2, $this->nota3, $this->nota4, $this->nota5, $this->nota6, $this->nota7, $this->seminario, $this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }



    public function eliminarMatricula(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE matricula SET estado = 0 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function reingresarMatricula(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE matricula SET estado = 1 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }

}
?>
