<?php
class ModuloModel extends Mysql{
    public $id, $id_curso, $modulo, $apertura;
    public function __construct()
    {
        parent::__construct();
    }
    public function selectModulo()
    {
        $sql = "SELECT @rownum:=@rownum+1 AS numord, v_modulo.* FROM (SELECT @rownum:=0) r, v_modulo WHERE estado = 1 order by id desc;";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectCurso()
    {
        $sql = "SELECT * FROM curso where estado=1 order by id desc";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectModuloInactivos()
    {
        $sql = "SELECT @rownum:=@rownum+1 AS numord, v_modulo.* FROM (SELECT @rownum:=0) r, v_modulo WHERE estado = 0 order by id desc;";
        $res = $this->select_all($sql);
        return $res;
    }
    public function insertarModulo(int $id_curso, string $modulo, int $apertura)
    {
        $return = "";
        $this->id_curso = $id_curso;                
        $this->modulo = strtoupper($modulo);
        $this->apertura = $apertura;

        $sql = "SELECT * FROM modulo WHERE modulo = '{$this->modulo}' and id_curso = '{$this->id_curso}'";
        $result = $this->select_all($sql);
        if (empty($result)) {
            $query = "INSERT INTO modulo(id_curso, modulo, apertura) VALUES (?,?,?)";
            $data = array($this->id_curso, $this->modulo, $this->apertura);
            $resul = $this->insert($query, $data);
            $return = $resul;
        }else {
            $return = "existe";
        }
        return $return;
    }

    public function actualizarModulo(int $id_curso, string $modulo, int $apertura, int $id)
    {
        $return = "";
        $this->id_curso = $id_curso;                
        $this->modulo = strtoupper($modulo);
        $this->apertura = $apertura;
        $this->id = $id;

        $query = "UPDATE modulo SET id_curso=?, modulo=?, apertura=?  WHERE id=?";
        $data = array($this->id_curso, $this->modulo, $this->apertura, $this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function eliminarModulo(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE modulo SET estado = 0 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function reingresarModulo(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE modulo SET estado = 1 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }

}
?>
