<?php
class UsuarioModel extends Mysql{
    public $id, $clave, $nombre, $usuario, $correo, $id_rol;
    public function __construct()
    {
        parent::__construct();
    }

    public function verificaUsuario(string $usuario, string $clave)
    {
        $this->usuario = $usuario;
        $this->clave = $clave;
        $sql = "SELECT * FROM usuario WHERE usuario = '{$this->usuario}' AND clave = '{$this->clave}'";
        $res = $this->select($sql);
        return $res;
    }
    public function selectUsuario()
    {
        $sql = "SELECT u.id, u.usuario, u.clave, u.correo, u.nombre, u.id_rol, r.rol FROM usuario u inner JOIN rol r on u.id_rol=r.id WHERE estado = 1 ORDER BY u.id desc";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectInactivos()
    {
       $sql = "SELECT u.id, u.usuario, u.clave, u.correo, u.nombre, u.id_rol, r.rol FROM usuario u inner JOIN rol r on u.id_rol=r.id WHERE estado = 0 ORDER BY u.id desc";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectRol()
    {
        $sql = "Select * from rol";
        $res = $this->select_all($sql);
        return $res;
    }

    public function insertarUsuario(string $nombre, string $usuario, string $correo, string $clave, int $id_rol)
    {
        $return = "";
        $this->nombre = strtoupper($nombre);
        $this->usuario = strtoupper($usuario);
        $this->correo = strtoupper($correo);
        $this->clave = $clave;
        $this->id_rol = $id_rol;
        $sql = "SELECT * FROM usuario WHERE usuario = '{$this->usuario}' OR correo = '{$this->correo}'";
        $result = $this->select_all($sql);
        if (empty($result)) {
            $query = "INSERT INTO usuario(nombre, usuario, correo, clave, id_rol) VALUES (?,?,?,?,?)";
            $data = array($this->nombre, $this->usuario, $this->correo, $this->clave, $this->id_rol);
            $resul = $this->insert($query, $data);
            $return = $resul;
        }else {
            $return = "existe";
        }
        return $return;
    }
    public function editarUsuario(int $id)
    {
        $this->id = $id;
        $sql = "SELECT * FROM usuario WHERE id = '{$this->id}'";
        $res = $this->select($sql);
        if (empty($res)) {
            $res = 0;
        }
        return $res;
    }
    public function actualizarUsuario(string $nombre, string $usuario, string $clave, string $correo, int $id_rol, int $id)
    {
        $return = "";
        $this->nombre = strtoupper($nombre);
        $this->usuario = strtoupper($usuario);
        $this->correo = strtoupper($correo);
        $this->id_rol = $id_rol;
        $this->id = $id;        
        if (empty($clave)) {
            $query = "UPDATE usuario SET nombre=?, usuario=?, correo=?, id_rol=? WHERE id=?";
            $data = array($this->nombre, $this->usuario, $this->correo, $this->id_rol, $this->id);
        } else {
           $hash = hash("SHA256", $clave);
           $this->clave = strtoupper($hash);
            $query = "UPDATE usuario SET nombre=?, usuario=?, clave=?, correo=?, id_rol=? WHERE id=?";
            $data = array($this->nombre, $this->usuario, $this->clave, $this->correo, $this->id_rol, $this->id);

        }
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function eliminarUsuario(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE usuario SET estado = 0 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }

    public function reingresarUsuario(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE usuario SET estado = 1 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }

    public function cambiarPass(string $clave)
    {
        $this->clave = $clave;
        $query = "SELECT * FROM usuario WHERE clave = '$clave'";
        $resul = $this->select($query);
        return $resul;
    }

    public function selectUsuarioPass(int $id)
    {
        $sql = "SELECT * FROM usuario WHERE id = $id";
        $res = $this->select($sql);
        return $res;
    }

    public function cambiarContra(string $clave, int $id)
    {
        $this->clave = $clave;
        $this->id = $id;
        $query = "UPDATE usuario SET clave = ? WHERE id = ?";
        $data = array($this->clave, $this->id);
        $resul = $this->update($query, $data);
        return $resul;
    }    
}
?>