<?php encabezado() ?>
<div id="layoutSidenav_content">
    <div class="container-fluid px-4">
        <h2 class="mt-0">Matriculas</h2>
        <div class="row">
            <div class="col-lg-12 mt-2">
                <div class="row">
                     <div class="col-lg-6 mb-2">
                    <a href="#agregar_matricula" class="btn btn-primary btn-sm" data-toggle="modal"><span class="fas fa-plus-circle"></span> Nuevo</a>
                        <a class="btn btn-warning btn-sm" href="<?php echo base_url(); ?>Matricula/eliminados"><i class="fas fa-user-slash"></i> Eliminados</a>
                    </div>
                    <div class="col-lg-6">
                        <?php if (isset($_GET['msg'])) {
                            $alert = $_GET['msg'];
                            if ($alert == "existe") { ?>
                                <div class="alert alert-warning" role="alert">
                                    <strong>El matriculaucto ya existe</strong>
                                </div>
                            <?php } else if ($alert == "error") { ?>
                                <div class="alert alert-danger" role="alert">
                                    <strong>Error al registrar</strong>
                                </div>
                            <?php } else if ($alert == "registrado") { ?>
                                <div class="alert alert-success" role="alert">
                                      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>

                                    <strong>Matricula Registrada</strong>
                                </div>
                            <?php } else if ($alert == "modificado") { ?>
                                <div class="alert alert-success" role="alert">
                                    <strong>Matricula Modificada</strong>
                                </div>
                        <?php }
                        } ?>
                    </div>
                </div>
                
                <table id="example" class="display compact table table-bordered table-hover dt-responsive nowrap" style="width:100%">
                    <thead  class="table-secondary">
                        <tr>
                            <th>N/O</th>                            
                            <th>ALUMNO</th>
                            <th>CURSO / PERIODO</th>                                 
                            <th>N1</th>                                 
                            <th>N2</th>
                            <th>N3</th>
                            <th>N4</th> 
                            <th>N5</th>
                            <th>N6</th>                                                            
                            <th>N7</th>
                            <th>PRO</th>   
                            <th>SEMI</th>                                                         
                            <th>N</th>                                
                            <th>B</th>                            
                        </tr>
                    </thead>
                    <tbody>
                         <?php foreach ($data['matricula'] as $matricula) { ?>
                            <tr> 
                                <td></td>                                        
                                <td><?php echo substr($matricula['alumno'],0,25); ?></td>  
                                <td><?php echo $matricula['cursomodulo']; ?></td>
                                <td align="right"><?php echo $matricula['nota1']; ?></td>
                                <td align="right"><?php echo $matricula['nota2']; ?></td>
                                <td align="right"><?php echo $matricula['nota3']; ?></td>
                                <td align="right"><?php echo $matricula['nota4']; ?></td>
                                <td align="right"><?php echo $matricula['nota5']; ?></td>
                                <td align="right"><?php echo $matricula['nota6']; ?></td>
                                <td align="right"><?php echo $matricula['nota7']; ?></td>
                                <td align="right"><?php echo $matricula['promedio']; ?></td>
                                <td><?php echo ($matricula['seminario']==1)? 'Si' : 'No'; ?></td>
                                <td>                                        
                                    <a href="#notas_<?php echo $matricula['id']; ?>" class="btn btn-primary btn-xs" data-toggle="modal"><span class="fas fa-bars" title="INGRESAR NOTAS"></span></a>
                                </td>
                                <?php include('Notas.php'); ?>                                    
                                <td>
                                    <form method="post" action="<?php echo base_url() ?>Matricula/eliminar?id=<?php echo $matricula['id']; ?>" class="d-inline mensaje_eliminar">
                                        <input type="hidden" name="id" value="<?php echo $matricula['id']; ?>">
                                            <button class="btn btn-danger btn-xs" type="submit"><i class="fas fa-trash-alt" title="BORRAR"></i>
                                            </button>
                                    </form>
                                </td>                                
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php include('Agregar.php'); ?>
<?php pie()?>


<script type="text/javascript">
    $(document).ready(function() {
        var table = $('#example').DataTable({  
            responsive: {
            },
            "lengthChange": false,
            "autoWidth": true,  
            "sortable": true,
            "ordering": false,
            "pagingType": "simple",

            language: {
                "decimal": "",
                "emptyTable": "No hay datos",
                "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
                "infoEmpty": "Mostrando 0 a 0 de 0 registros",
                "infoFiltered": "(Filtro de _MAX_ total registros)",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "Mostrar _MENU_ registros",
                "loadingRecords": "Cargando...",
                "processing": "Procesando...",
                "search": "Buscar:",
                "zeroRecords": "No se encontraron coincidencias",
                "paginate": {
                    "next": ">",
                    "previous": "<"
                },
                "aria": {
                    "sortAscending": ": Activar orden de columna ascendente",
                    "sortDescending": ": Activar orden de columna desendente"
                }
            },
        // Seleccionar color de fila, según valor del campo
            "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                if ( aData[2].substr(0,6) == "BASICO" )
                {
                    $($(nRow).find("td")[9]).css("background-color","black");

                }
                else 
                {
                    $('td', nRow).css('background-color', 'white');
                }
            }  


        });
        // Numeracion de registros
        table.on( 'order.dt search.dt', function () {
            table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();   




    });
</script>

