<?php encabezado() ?>
<div id="layoutSidenav_content">
    <div class="container-fluid px-4">
        <h2 class="mt-0">Certificado</h2>
        <div class="row">
            <div class="col-lg-12 mt-2">                
                <table id="example" class="display compact table table-bordered table-hover dt-responsive nowrap" style="width:100%">
                    <thead  class="table-secondary">
                        <tr>
                            <th>N/O</th>                            
                            <th>ALUMNO</th>
                            <th>CURSO / PERIODO</th>                                 
                            <th>PROMEDIO</th>                                                        
                            <th>CERTIFICADO</th>                                
                        </tr>
                    </thead>
                    <tbody>
                         <?php foreach ($data as $certificado) { ?>
                            <tr> 
                                <td></td>                                        
                                <td><?php echo $certificado['alumno']; ?></td>  
                                <td><?php echo $certificado['cursomodulo']; ?></td>

                                <td align="right"><?php echo $certificado['promedio']; ?></td>
                                <td>                                        
                                    <a href="<?php echo base_url() ?>Reporte/imprimeCertificado?id_matricula=<?php echo $certificado['id']; ?>" class="btn btn-primary btn-xs" data-toggle="modal"><span class="fas fa-certificate" title="INGRESAR NOTAS"></span></a>
                                </td>
                             
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php pie()?>


<script type="text/javascript">
    $(document).ready(function() {
     var table = $('#example').DataTable({  
            responsive: {
            },
            "lengthChange": false,
            "autoWidth": true,  
            "sortable": true,
            "ordering": false,
            "pagingType": "simple",

            language: {
                "decimal": "",
                "emptyTable": "No hay datos",
                "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
                "infoEmpty": "Mostrando 0 a 0 de 0 registros",
                "infoFiltered": "(Filtro de _MAX_ total registros)",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "Mostrar _MENU_ registros",
                "loadingRecords": "Cargando...",
                "processing": "Procesando...",
                "search": "Buscar:",
                "zeroRecords": "No se encontraron coincidencias",
                "paginate": {
                    "next": ">",
                    "previous": "<"
                },
                "aria": {
                    "sortAscending": ": Activar orden de columna ascendente",
                    "sortDescending": ": Activar orden de columna desendente"
                }
            }
        });
        // Numeracion de registros
        table.on( 'order.dt search.dt', function () {
            table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();     


      });


</script>

