<?php
class Matricula extends Controllers
{
    public function __construct()
    {
        session_start();
        if (empty($_SESSION['activo']) or ($_SESSION['id_rol'] > 2)) {
            header("location: " . base_url());
        }
        parent::__construct();
    }
    public function Listar()
    {
        $matricula = $this->model->selectMatricula();
        $alumno = $this->model->selectAlumno();                
        $modulo = $this->model->selectModulo();        
        $data = ['matricula' => $matricula, 'alumno' => $alumno,'modulo' => $modulo];
        $this->views->getView($this, "Listar", $data, "");
    }

    public function insertarMatricula()
    {
        $id_alumno = $_POST['id_alumno'];
        $id_modulo = $_POST['id_modulo'];
        $insert = $this->model->insertarMatricula($id_alumno, $id_modulo);
        if ($insert > 0) {
            $alert = 'registrado';
        } else if ($insert == 'existe') {
            $alert = 'existe';
        } else {
            $alert = 'error';
        }
        $this->model->selectMatricula();
        header("location: " . base_url() . "Matricula/Listar?msg=$alert");
        die();
    }
    public function actualizarNota()
    {
        $id = $_POST['id'];
        $nota1 = $_POST['nota1'];
        $nota2 = $_POST['nota2'];        
        $nota3 = $_POST['nota3'];
        $nota4 = $_POST['nota4'];
        $nota5 = $_POST['nota5'];
        $nota6 = $_POST['nota6'];
        $nota7 = $_POST['nota7'];
        $seminario = ($_POST['seminario']==1)? 1 : 0;
        $actualizar = $this->model->actualizarNota($id, $nota1, $nota2, $nota3, $nota4, $nota5, $nota6, $nota7, $seminario);
        if ($actualizar == 1) {
            $alert =  'modificado';
        } else {
            $alert = 'error';
        }
        header("location: " . base_url() . "Matricula/Listar?msg=$alert");
        die();
    }

    public function eliminados()
    {
        $data = $this->model->selectMatriculaInactivos();
        $this->views->getView($this, "Eliminados", $data, "");
    }

    public function eliminar()
    {
        $id = $_GET['id'];
        $eliminar = $this->model->eliminarMatricula($id);
        $data = $this->model->selectMatricula();
        header('location: ' . base_url() . 'Matricula/Listar');
        //$this->views->getView($this, "Listar", $data, $eliminar);
        die();
    }
    public function reingresar()
    {
        $id = $_GET['id'];
        $this->model->reingresarMatricula($id);
        $data = $this->model->selectMatricula();
        header('location: ' . base_url() . 'Matricula/Listar');
        //$this->views->getView($this, "Listar", $data);
        die();
    }

    public function buscar()
    {
        $codigo = $_POST['codigo'];
        $data = $this->model->buscarMatricula($codigo);
        echo json_encode($data);
    }
}
?>