<?php
class Modulo extends Controllers
{
    public function __construct()
    {
        session_start();
        if (empty($_SESSION['activo']) or ($_SESSION['id_rol'] > 2)) {
            header("location: " . base_url());
        }
        parent::__construct();
    }
    public function Listar()
    {
        $modulo = $this->model->selectModulo();
        $curso = $this->model->selectCurso();        
        $data = ['modulo' => $modulo, 'curso' => $curso];
        $this->views->getView($this, "Listar", $data, "");
    }
    public function eliminados()
    {
        $data = $this->model->selectModuloInactivos();
        $this->views->getView($this, "Eliminados", $data, "");
    }
    public function insertar()
    {
        $id_curso = $_POST['id_curso'];        
        $modulo = $_POST['modulo'];        
        $apertura = ($_POST['apertura']==1)? 1 : 0;
        $insert = $this->model->insertarModulo($id_curso, $modulo, $apertura);
        if ($insert > 0) {
            $alert = 'registrado';
        } else if ($insert == 'existe') {
            $alert = 'existe';
        } else {
            $alert = 'error';
        }
        $this->model->selectModulo();
        header("location: " . base_url() . "Modulo/Listar?msg=$alert");
        die();
    }

    public function actualizar()
    {
        $id = $_POST['id'];
        $id_curso = $_POST['id_curso'];        
        $modulo = $_POST['modulo'];        
        $apertura = ($_POST['apertura']==1)? 1 : 0;
        $actualizar = $this->model->actualizarModulo($id_curso, $modulo, $apertura,$id);
        if ($actualizar == 1) {
            $alert =  'modificado';
        } else {
            $alert = 'error';
        }
        header("location: " . base_url() . "Modulo/Listar?msg=$alert");
        die();
    }
    public function eliminar()
    {
        $id = $_GET['id'];
        $eliminar = $this->model->eliminarModulo($id);
        header('location: ' . base_url() . 'Modulo/Listar');
        //$this->views->getView($this, "Listar", $data, $eliminar);
        die();
    }
    public function reingresar()
    {
        $id = $_GET['id'];
        $this->model->reingresarModulo($id);
        //$data = $this->model->selectProducto();
        header('location: ' . base_url() . 'Modulo/Listar');
        //$this->views->getView($this, "Listar", $data);
        die();
    }
}
?>