<?php
class AdminModel extends Mysql{
    public function __construct()
    {
        parent::__construct();
    }

    public function cuentamodulo()
    {
        $sql = "SELECT COUNT(*) FROM modulo WHERE estado = 1 AND apertura = 1";
        $res = $this->select($sql);
        return $res;
    }
    public function cuentamatricula()
    {
        $sql = "SELECT COUNT(*) FROM matricula WHERE estado = 1";
        $res = $this->select($sql);
        return $res;
    }
    public function cuentaalumno()
    {
        $sql = "SELECT COUNT(*) FROM alumno WHERE estado = 1";
        $res = $this->select($sql);
        return $res;
    }
    public function cuentacurso()
    {
        $sql = "SELECT COUNT(*) FROM curso WHERE estado = 1";
        $res = $this->select($sql);
        return $res;
    }
    public function cuentausuario()
    {
        $sql = "SELECT COUNT(*) FROM usuario WHERE estado = 1";
        $res = $this->select($sql);
        return $res;
    }   
    public function cantidadMatriculaCurso()
    {
        $sql = "SELECT curso_abr, count(*) as cantidad FROM v_matricula WHERE estado=1 and apertura= 1 group by curso_abr";
        $res = $this->select_all($sql);
        return $res;
    }   
    public function cantidadMatriculaModulo()
    {
        $sql = "SELECT concat_ws(' / ',modulo,left(curso_abr, 3)) as modulo, count(*) as cantidad FROM v_matricula WHERE estado=1 and apertura= 1 group by modulo,curso";
        $res = $this->select_all($sql);
        return $res;
    }       
}
