<?php
class CursoModel extends Mysql{
    public $id, $curso, $curso_abr;
    public function __construct()
    {
        parent::__construct();
    }
    public function selectCurso()
    {
        $sql = "SELECT @rownum:=@rownum+1 AS numord, curso.* FROM (SELECT @rownum:=0) r, curso WHERE estado = 1 order by id asc;";
        $res = $this->select_all($sql);
        return $res;
    }

    public function selectCursoInactivos()
    {
        $sql = "SELECT @rownum:=@rownum+1 AS numord, curso.* FROM (SELECT @rownum:=0) r, curso WHERE estado = 0 order by id asc;";
        $res = $this->select_all($sql);
        return $res;
    }
    public function insertarCurso(string $curso, string $curso_abr)
    {
        $return = "";
        $this->curso = strtoupper($curso);                
        $this->curso_abr = strtoupper($curso_abr);
        $sql = "SELECT * FROM curso WHERE curso = '{$this->curso}'";
        $result = $this->select_all($sql);
        if (empty($result)) {
            $query = "INSERT INTO curso(curso, curso_abr) VALUES (?,?)";
            $data = array($this->curso, $this->curso_abr);
            $resul = $this->insert($query, $data);
            $return = $resul;
        }else {
            $return = "existe";
        }
        return $return;
    }

    public function actualizarCurso(string $curso, string $curso_abr, int $id)
    {
        $return = "";
        $this->curso = strtoupper($curso);                
        $this->curso_abr = strtoupper($curso_abr);
        $this->id = $id;

        $query = "UPDATE curso SET curso=?, curso_abr=?  WHERE id=?";
        $data = array($this->curso, $this->curso_abr, $this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function eliminarCurso(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE curso SET estado = 0 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }
    public function reingresarCurso(int $id)
    {
        $return = "";
        $this->id = $id;
        $query = "UPDATE curso SET estado = 1 WHERE id=?";
        $data = array($this->id);
        $resul = $this->update($query, $data);
        $return = $resul;
        return $return;
    }

}
?>
