<?php encabezado() ?>
<div id="layoutSidenav_content">
    <div class="container-fluid px-4">
        <h2 class="mt-0">Matrículas Eliminadas</h2>
        <div class="row">
            <div class="col-lg-12 mt-2">
                <div class="row">
                     <div class="col-lg-6 mb-2">
                        <a class="btn btn-primary btn-sm" href="<?php echo base_url(); ?>Matricula/Listar"><i class="fas fa-arrow-alt-circle-left"></i> Regresar</a>
                    </div>
                </div>
                <table id="example" class="display compact table table-bordered table-hover dt-responsive nowrap" style="width:100%">
                        <thead  class="table-secondary">
                         <tr>
                            <th>N/O</th>                            
                            <th>ALUMNO</th>
                            <th>CURSO / PERIODO</th>                                                           
                            <th>N1</th>                                 
                            <th>N2</th>
                            <th>N3</th>
                            <th>N4</th> 
                            <th>N5</th>
                            <th>N6</th>                                                            
                            <th>N7</th>
                            <th>PRO</th>                            
                            <th>REINGRESAR</th>                                
                        </tr>
                        </thead>

                        <tbody>
                                 <?php foreach ($data as $matricula) { ?>
                                    <tr>  
                                        <td></td>                                        
                                        <td><?php echo substr($matricula['alumno'],0,25); ?></td>  
                                        <td><?php echo $matricula['cursomodulo']; ?></td>
                                        <td align="right"><?php echo $matricula['nota1']; ?></td>
                                        <td align="right"><?php echo $matricula['nota2']; ?></td>
                                        <td align="right"><?php echo $matricula['nota3']; ?></td>
                                        <td align="right"><?php echo $matricula['nota4']; ?></td>
                                        <td align="right"><?php echo $matricula['nota5']; ?></td>
                                        <td align="right"><?php echo $matricula['nota6']; ?></td>
                                        <td align="right"><?php echo $matricula['nota7']; ?></td>
                                        <td align="right"><?php echo $matricula['promedio']; ?></td>
                                        <td>
                                            <form method="post" action="<?php echo base_url() ?>Matricula/reingresar?id=<?php echo $matricula['id']; ?>" class="d-inline mensaje_reingresar">
                                                <input type="hidden" name="id" value="<?php echo $matricula['id']; ?>">
                                                    <button class="btn btn-warning btn-xs" type="submit" title="REINGRESAR"><i class="fas fa-ad"></i>
                                                    </button>
                                            </form>
                                        </td>                                         
                                    </tr>
                                <?php } ?>
                        </tbody>
                </table>
            </div>
        </div>
        <?php pie() ?>

<script type="text/javascript">
    $(document).ready(function() {
     var table = $('#example').DataTable({  
            responsive: {
            },
            "lengthChange": false,
            "autoWidth": true,  
            "sortable": true,
            "ordering": false,
            "pagingType": "simple",

            language: {
                "decimal": "",
                "emptyTable": "No hay datos",
                "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
                "infoEmpty": "Mostrando 0 a 0 de 0 registros",
                "infoFiltered": "(Filtro de _MAX_ total registros)",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "Mostrar _MENU_ registros",
                "loadingRecords": "Cargando...",
                "processing": "Procesando...",
                "search": "Buscar:",
                "zeroRecords": "No se encontraron coincidencias",
                "paginate": {
                    "next": ">",
                    "previous": "<"
                },
                "aria": {
                    "sortAscending": ": Activar orden de columna ascendente",
                    "sortDescending": ": Activar orden de columna desendente"
                }
            }
        });
        // Numeracion de registros
        table.on( 'order.dt search.dt', function () {
            table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();     
      });
</script>