<?php encabezado() ?>
<div id="layoutSidenav_content">
    <div class="container-fluid px-4">
        <h2 class="mt-0">Periodos Eliminados</h2>
        <div class="row">
            <div class="col-lg-12 mt-2">
                <div class="row">
                     <div class="col-lg-6 mb-2">
                        <a class="btn btn-primary btn-sm" href="<?php echo base_url(); ?>Modulo/Listar"><i class="fas fa-arrow-alt-circle-left"></i> Regresar</a>
                    </div>
                </div>
                <table id="example" class="display compact table table-bordered table-hover dt-responsive nowrap" style="width:100%">
                        <thead  class="table-secondary">
                            <tr>
                                <th>No</th>                                
                                <th>PERIODO</th>
                                <th>CURSO</th>                                                           
                                <th>APERTURA</th>
                                <th>REINGRESAR</th>                                                                              
                            </tr>
                        </thead>

                        <tbody>
                                 <?php foreach ($data as $modulo) { ?>
                                    <tr>  
                                        <td><?php echo $modulo['numord']; ?></td> 
                                        <td><?php echo $modulo['modulo']; ?></td>
                                        <td><?php echo $modulo['curso']; ?></td>
                                        <td><?php echo ($modulo['apertura']==1)? 'Si' : 'No'; ?></td>
                                        <td>
                                            <form method="post" action="<?php echo base_url() ?>Modulo/reingresar?id=<?php echo $modulo['id']; ?>" class="d-inline mensaje_reingresar">
                                                <input type="hidden" name="id" value="<?php echo $modulo['id']; ?>">
                                                    <button class="btn btn-warning btn-xs" type="submit" title="REINGRESAR"><i class="fas fa-ad"></i>
                                                    </button>
                                            </form>
                                        </td>                                         
                                    </tr>
                                <?php } ?>
                        </tbody>
                </table>
            </div>
        </div>
        <?php pie() ?>
<script type="text/javascript">
    $(document).ready(function() {
        $('#example').DataTable({
            responsive: {
            },
            "lengthChange": false,
            "autoWidth": true,  
            "sortable": true,
            "ordering": false,
            "pagingType": "simple",

            language: {
                "decimal": "",
                "emptyTable": "No hay datos",
                "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
                "infoEmpty": "Mostrando 0 a 0 de 0 registros",
                "infoFiltered": "(Filtro de _MAX_ total registros)",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "Mostrar _MENU_ registros",
                "loadingRecords": "Cargando...",
                "processing": "Procesando...",
                "search": "Buscar:",
                "zeroRecords": "No se encontraron coincidencias",
                "paginate": {
                    "next": ">",
                    "previous": "<"
                },
                "aria": {
                    "sortAscending": ": Activar orden de columna ascendente",
                    "sortDescending": ": Activar orden de columna desendente"
                }
            }
        });

      });
</script>
