<?php encabezado() ?>
<div id="layoutSidenav_content">
    <div class="container-fluid px-4">
        <h2 class="mt-0">Reporte de alumnos matriculados</h2>
        <div class="row">
            <div class="col-sm">
            <a class="btn btn-primary btn-sm" href='' id='imprimir'><i class="fas fa-print"></i> Imprimir</a>
            </div>
        </div>        

        <div class="row">
            <div class="col-sm">
                <label for="id_curso">Modulo</label>
                <select class="form-control selectpicker" data-live-search="true" data-show-subtext="true" id="id_modulo" name="id_modulo">
                    <option value="0">Seleccione Periodo</option>
                    <?php foreach ($data['modulo'] as $modulo) { ?>
                        <option <?php if ($modulo['id'] == $alert) {
                        echo 'selected';
                            } ?> value="<?php echo $modulo['id']; ?>"><?php echo $modulo['cursomodulo']; ?></option>
                    <?php } ?>
                </select>                               
            </div>
            <div class="col-sm">
            </div>
            <div class="col-sm">
            </div>

        </div>
        <div class="row">

            <div class="col-lg-12 mt-2">
                <table id="mitabla" class="display compact table table-bordered table-hover dt-responsive nowrap" style="width:100%">
                    <thead  class="table-secondary">
                        <tr>
                            <th>N/O</th>
                            <th>DNI</th>
                            <th>CIP</th>                            
                            <th>APELLIDOS Y NOMBRES</th>
                            <th>TELEFONO</th>  
                            <th>OBSERVACIONES</th>                              
                            <th>ID_MODULO</th>  
                        </tr>
                   
                    </thead>
                    <tbody>
                         <?php foreach ($data['matricula'] as $matricula) { ?>
                            <tr>
                                <td></td>                                
                                <td><?php echo $matricula['dni']; ?></td>        
                                <td><?php echo $matricula['cip']; ?></td>                      
                                <td><?php echo $matricula['alumno']; ?></td>
                                <td><?php echo $matricula['telefono']; ?></td>    
                                <td><?php echo $matricula['observacion']; ?></td>
                                <td><?php echo $matricula['id_modulo']; ?></td>  

                            </tr>
                        <?php } ?>
                    </tbody>

                </table>
            </div>
        </div>
    </div>
<?php pie()?>


<script type="text/javascript">
$(document).ready( function () {
     var table = $('#mitabla').DataTable({  
// Caracteristicas del Datatable
                "columnDefs": [

                    {
                        "targets": [ 6 ],
                        "visible": false,
                        "searchable": true
                    }

                ],
            dom: 'lrtip',
            buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
                    ],
            responsive: {
            },

            "lengthChange": false,
            "autoWidth": true,  
            "sortable": true,
            "ordering": false,

            "order": [[1, "asc"]],
            "language":{
                "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json",
                 "serverSide": true,
                "paginate": {
                        "First":    "Primero",
                        "Last":     "Último",
                        "Next":     "Siguiente",
                        "Previous": "Anterior"
                },
            }
     });
    // Numeracion de registros
        table.on( 'order.dt search.dt', function () {
            table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();
// Búsqueda en columna 3
        $('#id_modulo').on('change', function(){
           //table.column(12).search(this.value).draw(); // Búsqueda en Normal
           //table.column(12).search("^" + this.value + "$", true, false, true).draw(); // Búsqueda Exacta
            var parametros= "?"+"id_modulo="+$("#id_modulo").val();
            $.ajax({
                //url:  base + "Reporte/imprime?"+ parametros,
                type:  'POST',
                success:  function (response) {                          
                    location.href = base + "Reporte/matricula"+ parametros;                        
                },
                error:function(){
                    alert("error")
                }
            });           
        } );
});


// Redirecciona con parametros

document.getElementById('imprimir').addEventListener('click',function(e){
  e.preventDefault();
            if ($("#id_modulo").val().length==0){
                var parametros= "?"+"id_modulo=0";
            }  else
                var parametros= "?"+"id_modulo="+$("#id_modulo").val();
                $.ajax({

                    //url:  base + "Reporte/imprime?"+ parametros,
                    type:  'POST',
                    success:  function (response) {                          
                        location.href = base + "Reporte/imprimeMatricula"+ parametros;                        
                    },
                    error:function(){
                        alert("error")
                    }
            });
});

</script>



