<!DOCTYPE html><!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <title>Educación</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="robots" content="all,follow">

        <!-- Opciones -->     
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet">
        <link rel="stylesheet" href="<?php echo base_url(); ?>Assets/css/styles.css" id="theme-stylesheet">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>

        <!-- Row Details -->
        <link rel="stylesheet" href="<?php echo base_url(); ?>Assets/css/bootstrap.min.css" id="theme-stylesheet">

        <link href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap4.min.css" rel="stylesheet">
        <link href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.bootstrap4.min.css" rel="stylesheet" 
        />
        <!-- Row Data Table Compacta -->
        <link href="https://cdn.datatables.net/1.11.1/css/jquery.dataTables.min.css" rel="stylesheet">
        <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.0.0/css/buttons.dataTables.min.css" rel="stylesheet">
        
        <!-- Modal -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <!-- Select -->
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/css/bootstrap-select.min.css"> 
        <!-- Mensajes de Alerta -->
        

        <link rel="icon" type="image/png" href = "<?php echo base_url(); ?>assets/img/libro.png">

    </head>
    <body class="sb-nav-fixed">
        <nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
            <!-- Navbar Brand-->
            <a class="navbar-brand ps-3" href="index.html">EDUCACION</a>
            <input type="hidden" id="url" value="<?php echo base_url(); ?>">            
            <!-- Sidebar Toggle-->
            <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
            <!-- Navbar Search-->
            <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
                <div class="input-group">

                </div>
            </form>
            <!-- Navbar-->
            <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="<?php echo base_url(); ?>Usuario/salir">Cerrar Sesión</a></li>
                        <li><hr class="dropdown-divider" /></li>
                        <li>
                        <a class="dropdown-item" href="<?php echo base_url(); ?>Usuario/perfil">Cambiar Contraseña</a>
                        </li>
                    </ul>
                </li>
            </ul>
        </nav>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <a class="nav-link active" href="<?php echo base_url(); ?>Admin/Listar">
                                <div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                Inicio
                            </a>    
                            <?php if ($_SESSION['id_rol'] < 3) { ?>                            
                                <div class="sb-sidenav-menu-heading">TABLAS</div>
                                <a class="nav-link active" href="<?php echo base_url(); ?>Alumno/Listar">
                                    <div class="sb-nav-link-icon"><i class="fas fa-graduation-cap"></i></div>
                                    Alumnos
                                </a>   
                                <a class="nav-link active" href="<?php echo base_url(); ?>Curso/Listar">
                                    <div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                    Cursos
                                </a>
                                <div class="sb-sidenav-menu-heading">MOVIMIENTOS</div>
                                <a class="nav-link active" href="<?php echo base_url(); ?>Modulo/Listar">
                                    <div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                    Cursos Aperturados
                                </a>                            
                                <a class="nav-link active" href="<?php echo base_url(); ?>Matricula/Listar">
                                    <div class="sb-nav-link-icon"><i class="fas fa-pen"></i></div>
                                    Matrículas
                                </a>       
                            <?php } ?>

                            <div class="sb-sidenav-menu-heading">REPORTES</div>
                            <a class="nav-link active" href="<?php echo base_url(); ?>Reporte/matricula?id_modulo=0">
                                <div class="sb-nav-link-icon"><i class="fas fa-user"></i></div>
                                Matriculados
                            </a>        
                            <a class="nav-link active" href="<?php echo base_url(); ?>Reporte/nota?id_modulo=0">
                                <div class="sb-nav-link-icon"><i class="fas fa-user"></i></div>
                                Matriculados con Notas 
                            </a>  
                            <a class="nav-link active" href="<?php echo base_url(); ?>Reporte/certificado">
                                <div class="sb-nav-link-icon"><i class="fas fa-user"></i></div>
                                Constancia de Notas
                            </a>
                            <?php if ($_SESSION['id_rol'] < 2) { ?>                                          
                                 <div class="sb-sidenav-menu-heading">SEGURIDAD</div>                            
                                <a class="nav-link active" href="<?php echo base_url(); ?>Usuario/Listar">
                                    <div class="sb-nav-link-icon"><i class="fas fa-user"></i></div>
                                    Usuarios
                                </a>
                                <a class="nav-link active" href="<?php echo base_url(); ?>Usuario/Respaldo">
                                    <div class="sb-nav-link-icon"><i class="fas fa-database"></i></div>
                                    Copia de Respaldo
                                </a>
                            <?php } ?>                           
                            <div class="sb-sidenav-menu-heading">CERRAR SESION</div>
                            <a class="nav-link active" href="<?php echo base_url(); ?>Usuario/salir">
                                <div class="sb-nav-link-icon"><i class="fas fa-user"></i></div>
                                Cerrar Sesión
                            </a>
                        </div>
                    </div>
                    <div class="sb-sidenav-footer">
                        <div class="small">Usuario:</div>
                        <b><?php echo $_SESSION['nombre']; ?></b>
                    </div>
                </nav>
            </div>

