<?php encabezado() ?>
<div id="layoutSidenav_content">
    <div class="container-fluid px-4">
        <h2 class="mt-0">Usuarios</h2>
        <div class="row">
            <div class="col-lg-12 mt-2">
                <div class="row">
                     <div class="col-lg-6 mb-2">
                    <a href="#agregar_Usuario" class="btn btn-primary btn-sm" data-toggle="modal"><span class="fas fa-plus-circle"></span> Nuevo</a>
                        <a class="btn btn-warning btn-sm" href="<?php echo base_url(); ?>Usuario/eliminados"><i class="fas fa-user-slash"></i> Eliminados</a>
                    </div>
                    <div class="col-lg-6">
                        <?php if (isset($_GET['msg'])) {
                            $alert = $_GET['msg'];
                            if ($alert == "existe") { ?>
                                <div class="alert alert-warning" role="alert">
                                    <strong>El Usuario ya existe</strong>
                                </div>
                            <?php } else if ($alert == "error") { ?>
                                <div class="alert alert-danger" role="alert">
                                    <strong>Error al registrar</strong>
                                </div>
                            <?php } else if ($alert == "registrado") { ?>
                                <div class="alert alert-success" role="alert">
                                      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>

                                    <strong>Usuario registrado</strong>
                                </div>
                            <?php } else if ($alert == "modificado") { ?>
                                <div class="alert alert-success" role="alert">
                                    <strong>Usuario Modificado</strong>
                                </div>
                            <?php } else if ($alert == "diferente") { ?>
                                <div class="alert alert-success" role="alert">
                                    <strong>La contraseña actual no es correcta. Inténtalo de Nuevo</strong>
                                </div>
                            <?php } else { ?>
                                <div class="alert alert-danger" role="alert">
                                    <strong>Las Contraseñas no coinciden</strong>
                                </div>
                        <?php }
                        } ?>
                    </div>
                </div>
                
                <table id="example" class="display compact table table-bordered table-hover dt-responsive nowrap" style="width:100%">
                    <thead  class="table-secondary">
                        <tr>
                            <th>N/O</th>
                            <th>USUARIO</th>                            
                            <th>NOMBRE</th>
                            <th>CORREO</th>
                            <th>ROL</th>
                            <th>EDITAR</th>                                
                            <th>BORRAR</th>                            
                        </tr>
                    </thead>
                    <tbody>
                         <?php foreach ($data['usuario'] as $usuario) { ?>
                            <tr>
                                <td></td>                                
                                <td><?php echo $usuario['usuario']; ?></td> 
                                <td><?php echo $usuario['nombre']; ?></td>                                
                                <td><?php echo $usuario['correo']; ?></td>                                
                                <td><?php echo $usuario['rol']; ?></td>
                                <td>                                        
                                    <a href="#edit_<?php echo $usuario['id']; ?>" class="btn btn-success btn-xs" data-toggle="modal"><span class="fas fa-edit" title="EDITAR"></span></a>
                                </td>
                                <td>
                                    <form method="post" action="<?php echo base_url() ?>Usuario/eliminar?id=<?php echo $usuario['id']; ?>" class="d-inline mensaje_eliminar">
                                        <input type="hidden" name="id" value="<?php echo $Usuario['id']; ?>">
                                            <button class="btn btn-danger btn-xs" type="submit"><i class="fas fa-trash-alt" title="BORRAR"></i>
                                            </button>
                                    </form>
                                    <?php include('Editar.php'); ?>    
                                </td>                                
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php include('Agregar.php'); ?>
<?php pie()?>


<script type="text/javascript">
    $(document).ready(function() {
     var table = $('#example').DataTable({  
            responsive: {
            },
            "lengthChange": false,
            "autoWidth": true,  
            "sortable": true,
            "ordering": false,
            "pagingType": "simple",

            language: {
                "decimal": "",
                "emptyTable": "No hay datos",
                "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
                "infoEmpty": "Mostrando 0 a 0 de 0 registros",
                "infoFiltered": "(Filtro de _MAX_ total registros)",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "Mostrar _MENU_ registros",
                "loadingRecords": "Cargando...",
                "processing": "Procesando...",
                "search": "Buscar:",
                "zeroRecords": "No se encontraron coincidencias",
                "paginate": {
                    "next": ">",
                    "previous": "<"
                },
                "aria": {
                    "sortAscending": ": Activar orden de columna ascendente",
                    "sortDescending": ": Activar orden de columna desendente"
                }
            }
        });
        // Numeracion de registros
        table.on( 'order.dt search.dt', function () {
            table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();     


      });


</script>

      });
</script>

