<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <title>Inicio- Educación</title>
        <link rel="shortcut icon" href="<?php echo base_url(); ?>Assets/img/libro.png">        
        <link rel="stylesheet" href="<?php echo base_url(); ?>Assets/css/styles.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <style>
            body {
                background-image: url("<?php echo base_url(); ?>Assets/img/fondo.jpg");
                background-repeat: no-repeat;
                background-size: cover;
                }
        </style>
    </head>

    <body>


        <div id="layoutAuthentication">
            <div id="layoutAuthentication_content">
                <main>
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-lg-5">
                                <div class="card shadow-lg border-0 rounded-lg mt-5">
                                    <div class="card-header"><h4 class="text-center font-weight-light my-2">Educación 2021</h4>
                                    <h5 class="text-center font-weight-light my-2">Iniciar Sesión</h5>
                                    </div>
                                    <div class="card-body">
                                        <?php if (isset($_GET['msg'])) { ?>
                                            <div class="alert alert-danger" role="alert">
                                                Usuario o contraseña Incorrecta
                                            </div>
                                        <?php } ?>
                                        <form action="<?php echo base_url(); ?>Usuario/login" method="post" autocomplete="off">
                                            <div class="form-floating mb-3">
                                                <input class="form-control" id="usuario" type="text" name="usuario"placeholder="Usuario" />
                                                <label for="inputEmail">Usuario</label>
                                            </div>
                                            <div class="form-floating mb-3">
                                                <input class="form-control" id="clave" type="password" name="clave" placeholder="Contraseña" />
                                                <label for="inputPassword">Contraseña</label>
                                            </div>

                                            <div class="col text-center col-lg-20">

                                                <button class="btn btn-primary btn-block" type="submit">Ingresar al Sistema</button>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="card-footer text-center py-3">
                                        Soporte Técnico - 984589586
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
            </div>
            <div id="layoutAuthentication_footer">
                <footer class="py-3 bg-light mt-auto ">
                    <div class="container-fluid px-4">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted">Derechos Reservados &copy; 2021</div>
                            <div>
                                <a href="#">Politicas de Privacidad</a>
                                &middot;
                                <a href="#">Terminos &amp; Conditions</a>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="<?php echo base_url(); ?>Assets/js/scripts.js"></script>
       <script type="text/javascript">

        $(document).ready(function () {
         
        window.setTimeout(function() {
            $(".alert").fadeTo(1000, 0).slideUp(1000, function(){
                $(this).remove(); 
            });
        }, 300);
         
        });
        </script>


    </body>
</html>
